diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-mac-queue.h ns-3.44/src/wifi/model/wifi-mac-queue.h
--- ns-3.43/src/wifi/model/wifi-mac-queue.h	2024-10-09 16:41:10.128656900 -0700
+++ ns-3.44/src/wifi/model/wifi-mac-queue.h	2025-03-09 16:55:49.803372600 -0700
@@ -35,7 +35,7 @@
 extern template class Queue<WifiMpdu, ns3::WifiMacQueueContainer>;
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * This queue implements the timeout procedure described in
  * (Section 9.19.2.6 "Retransmit procedures" paragraph 6; IEEE 802.11-2012).
@@ -56,15 +56,15 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
      * Constructor
      *
-     * \param ac the Access Category of the packets stored in this queue
+     * @param ac the Access Category of the packets stored in this queue
      */
     WifiMacQueue(AcIndex ac = AC_UNDEF);
 
@@ -80,61 +80,61 @@
     /**
      * Get the Access Category of the packets stored in this queue
      *
-     * \return the Access Category of the packets stored in this queue
+     * @return the Access Category of the packets stored in this queue
      */
     AcIndex GetAc() const;
 
     /**
      * Set the wifi MAC queue scheduler
      *
-     * \param scheduler the wifi MAC queue scheduler
+     * @param scheduler the wifi MAC queue scheduler
      */
     void SetScheduler(Ptr<WifiMacQueueScheduler> scheduler);
 
     /**
      * Set the maximum delay before the packet is discarded.
      *
-     * \param delay the maximum delay
+     * @param delay the maximum delay
      */
     void SetMaxDelay(Time delay);
     /**
      * Return the maximum delay before the packet is discarded.
      *
-     * \return the maximum delay
+     * @return the maximum delay
      */
     Time GetMaxDelay() const;
 
     /**
      * Enqueue the given Wifi MAC queue item at the <i>end</i> of the queue.
      *
-     * \param item the Wifi MAC queue item to be enqueued at the end
-     * \return true if success, false if the packet has been dropped
+     * @param item the Wifi MAC queue item to be enqueued at the end
+     * @return true if success, false if the packet has been dropped
      */
     bool Enqueue(Ptr<WifiMpdu> item) override;
     /**
      * Dequeue the packet in the front of the queue.
      *
-     * \return the packet
+     * @return the packet
      */
     Ptr<WifiMpdu> Dequeue() override;
     /**
      * Dequeue the given MPDUs if they are stored in this queue.
      *
-     * \param mpdus the given MPDUs
+     * @param mpdus the given MPDUs
      */
     void DequeueIfQueued(const std::list<Ptr<const WifiMpdu>>& mpdus);
     /**
      * Peek the packet in the front of the queue. The packet is not removed.
      *
-     * \return the packet
+     * @return the packet
      */
     Ptr<const WifiMpdu> Peek() const override;
     /**
      * Peek the packet in the front of the queue for transmission on the given
      * link (if any). The packet is not removed.
      *
-     * \param linkId the ID of the link onto which we can transmit a packet
-     * \return the packet
+     * @param linkId the ID of the link onto which we can transmit a packet
+     * @return the packet
      */
     Ptr<WifiMpdu> Peek(std::optional<uint8_t> linkId) const;
     /**
@@ -146,11 +146,11 @@
      * It is typically used by ns3::QosTxop in order to perform correct MSDU aggregation
      * (A-MSDU).
      *
-     * \param tid the given TID
-     * \param dest the given destination
-     * \param item the item after which the search starts from
+     * @param tid the given TID
+     * @param dest the given destination
+     * @param item the item after which the search starts from
      *
-     * \return the peeked packet or nullptr if no packet was found
+     * @return the peeked packet or nullptr if no packet was found
      */
     Ptr<WifiMpdu> PeekByTidAndAddress(uint8_t tid,
                                       Mac48Address dest,
@@ -165,9 +165,9 @@
      * expired lifetime because we assume that a previous call was made with a null
      * pointer as argument, which removed the MPDUs with expired lifetime).
      *
-     * \param queueId the given queue ID
-     * \param item the item after which the search starts from
-     * \return the peeked packet or nullptr if no packet was found
+     * @param queueId the given queue ID
+     * @param item the item after which the search starts from
+     * @return the peeked packet or nullptr if no packet was found
      */
     Ptr<WifiMpdu> PeekByQueueId(const WifiContainerQueueId& queueId,
                                 Ptr<const WifiMpdu> item = nullptr) const;
@@ -178,16 +178,16 @@
      * in the queue; otherwise, the search starts from the head of the queue.
      * The packet is not removed from queue.
      *
-     * \param linkId the ID of the given link
-     * \param item the item after which the search starts from
+     * @param linkId the ID of the given link
+     * @param item the item after which the search starts from
      *
-     * \return the peeked packet or nullptr if no packet was found
+     * @return the peeked packet or nullptr if no packet was found
      */
     Ptr<WifiMpdu> PeekFirstAvailable(uint8_t linkId, Ptr<const WifiMpdu> item = nullptr) const;
     /**
      * Remove the packet in the front of the queue.
      *
-     * \return the packet
+     * @return the packet
      */
     Ptr<WifiMpdu> Remove() override;
     /**
@@ -196,8 +196,8 @@
      * true, all the items in the queue from the head to the given position are
      * removed if their lifetime expired.
      *
-     * \param item the item to be removed
-     * \return the removed item
+     * @param item the item to be removed
+     * @return the removed item
      */
     Ptr<WifiMpdu> Remove(Ptr<const WifiMpdu> item);
 
@@ -211,8 +211,8 @@
      * item is dequeued and the new item is enqueued in its place. In this way,
      * statistics about queue size (in terms of bytes) are correctly updated.
      *
-     * \param currentItem the given current item
-     * \param newItem the given new item
+     * @param currentItem the given current item
+     * @param newItem the given new item
      */
     void Replace(Ptr<const WifiMpdu> currentItem, Ptr<WifiMpdu> newItem);
 
@@ -220,8 +220,8 @@
      * Get the number of MPDUs currently stored in the container queue identified
      * by the given queue ID.
      *
-     * \param queueId the given queue ID
-     * \return the number of MPDUs currently stored in the container queue
+     * @param queueId the given queue ID
+     * @return the number of MPDUs currently stored in the container queue
      */
     uint32_t GetNPackets(const WifiContainerQueueId& queueId) const;
 
@@ -229,8 +229,8 @@
      * Get the amount of bytes currently stored in the container queue identified
      * by the given queue ID.
      *
-     * \param queueId the given queue ID
-     * \return the amount of bytes currently stored in the container queue
+     * @param queueId the given queue ID
+     * @return the amount of bytes currently stored in the container queue
      */
     uint32_t GetNBytes(const WifiContainerQueueId& queueId) const;
 
@@ -238,9 +238,9 @@
      * Remove the given item if it has been in the queue for too long. Return true
      * if the item is removed, false otherwise.
      *
-     * \param item the item whose lifetime is checked
-     * \param now a copy of Simulator::Now()
-     * \return true if the item is removed, false otherwise
+     * @param item the item whose lifetime is checked
+     * @param now a copy of Simulator::Now()
+     * @return true if the item is removed, false otherwise
      */
     bool TtlExceeded(Ptr<const WifiMpdu> item, const Time& now);
 
@@ -249,11 +249,11 @@
      * given queue ID to the container queue storing MPDUs with expired lifetime.
      * Each MPDU that is found to have an expired lifetime feeds the "Expired"
      * trace source and is notified to the scheduler.
-     * \note that such MPDUs are not removed from the WifiMacQueue (and hence are
+     * @note that such MPDUs are not removed from the WifiMacQueue (and hence are
      * still accounted for in the overall statistics kept by the Queue base class)
      * in order to make this method const.
      *
-     * \param queueId the given queue ID
+     * @param queueId the given queue ID
      */
     void ExtractExpiredMpdus(const WifiContainerQueueId& queueId) const;
     /**
@@ -261,7 +261,7 @@
      * container queue storing MPDUs with expired lifetime. Each MPDU that is found
      * to have an expired lifetime feeds the "Expired" trace source and is notified
      * to the scheduler.
-     * \note that such MPDUs are not removed from the WifiMacQueue (and hence are
+     * @note that such MPDUs are not removed from the WifiMacQueue (and hence are
      * still accounted for in the overall statistics kept by the Queue base class)
      * in order to make this method const.
      */
@@ -275,15 +275,15 @@
      * Unlike the GetOriginal() method of WifiMpdu, this method returns a non-const
      * pointer to the original copy of the given MPDU.
      *
-     * \param mpdu the given MPDU
-     * \return the original copy of the given MPDU
+     * @param mpdu the given MPDU
+     * @return the original copy of the given MPDU
      */
     Ptr<WifiMpdu> GetOriginal(Ptr<WifiMpdu> mpdu);
 
     /**
-     * \param mpdu the given MPDU
-     * \param linkId the ID of the given link
-     * \return the alias of the given MPDU that is inflight on the given link, if any, or
+     * @param mpdu the given MPDU
+     * @param linkId the ID of the given link
+     * @return the alias of the given MPDU that is inflight on the given link, if any, or
      *         a null pointer, otherwise
      */
     Ptr<WifiMpdu> GetAlias(Ptr<const WifiMpdu> mpdu, uint8_t linkId);
@@ -295,17 +295,17 @@
 
   private:
     /**
-     * \param mpdu the given MPDU
-     * \return the queue iterator stored by the given MPDU
+     * @param mpdu the given MPDU
+     * @return the queue iterator stored by the given MPDU
      */
     Iterator GetIt(Ptr<const WifiMpdu> mpdu) const;
 
     /**
      * Enqueue the given Wifi MAC queue item before the given position.
      *
-     * \param pos the position before which the item is to be inserted
-     * \param item the Wifi MAC queue item to be enqueued
-     * \return true if success, false if the packet has been dropped
+     * @param pos the position before which the item is to be inserted
+     * @param item the Wifi MAC queue item to be enqueued
+     * @return true if success, false if the packet has been dropped
      */
     bool Insert(ConstIterator pos, Ptr<WifiMpdu> item);
     /**
@@ -313,9 +313,9 @@
      * sets the iterator field of the item and updates internal statistics, if
      * insertion succeeded.
      *
-     * \param pos the position before where the item will be inserted
-     * \param item the item to enqueue
-     * \return true if success, false if the packet has been dropped.
+     * @param pos the position before where the item will be inserted
+     * @param item the item to enqueue
+     * @return true if success, false if the packet has been dropped.
      */
     bool DoEnqueue(ConstIterator pos, Ptr<WifiMpdu> item);
     /**
@@ -323,7 +323,7 @@
      * resets the iterator field of the dequeued items and notifies the scheduler, if
      * any item was dequeued.
      *
-     * \param iterators the list of iterators pointing to the items to dequeue
+     * @param iterators the list of iterators pointing to the items to dequeue
      */
     void DoDequeue(const std::list<ConstIterator>& iterators);
     /**
@@ -331,8 +331,8 @@
      * resets the iterator field of the item and notifies the scheduleer, if an
      * item was dropped.
      *
-     * \param pos the position of the item to drop
-     * \return the dropped item.
+     * @param pos the position of the item to drop
+     * @return the dropped item.
      */
     Ptr<WifiMpdu> DoRemove(ConstIterator pos);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/wifi-mac-queue-scheduler.h ns-3.44/src/wifi/model/wifi-mac-queue-scheduler.h
--- ns-3.43/src/wifi/model/wifi-mac-queue-scheduler.h	2024-10-09 16:41:10.128656900 -0700
+++ ns-3.44/src/wifi/model/wifi-mac-queue-scheduler.h	2025-03-09 16:55:49.799372700 -0700
@@ -24,7 +24,7 @@
 class WifiMac;
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * Enumeration of the reasons to block container queues.
  */
@@ -39,11 +39,11 @@
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param os the stream
- * \param reason the reason to block container queues
- * \returns a reference to the stream
+ * @param os the stream
+ * @param reason the reason to block container queues
+ * @returns a reference to the stream
  */
 inline std::ostream&
 operator<<(std::ostream& os, WifiQueueBlockedReason reason)
@@ -69,7 +69,7 @@
 }
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * WifiMacQueueScheduler is an abstract base class defining the public interface
  * for a wifi MAC queue scheduler.
@@ -78,15 +78,15 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
      * Set the wifi MAC.
      *
-     * \param mac the wifi MAC
+     * @param mac the wifi MAC
      */
     virtual void SetWifiMac(Ptr<WifiMac> mac);
 
@@ -95,10 +95,10 @@
      * whose lifetime has not expired. Queues containing MPDUs that cannot be sent
      * over the given link (if any) are ignored.
      *
-     * \param ac the Access Category that we want to serve
-     * \param linkId the ID of the link on which MPDUs contained in the returned queue must be
+     * @param ac the Access Category that we want to serve
+     * @param linkId the ID of the link on which MPDUs contained in the returned queue must be
      *               allowed to be sent
-     * \return the ID of the selected container queue (if any)
+     * @return the ID of the selected container queue (if any)
      */
     virtual std::optional<WifiContainerQueueId> GetNext(AcIndex ac,
                                                         std::optional<uint8_t> linkId) = 0;
@@ -107,11 +107,11 @@
      * guaranteed to contain at least an MPDU whose lifetime has not expired.
      * Queues containing MPDUs that cannot be sent over the given link (if any) are ignored.
      *
-     * \param ac the Access Category that we want to serve
-     * \param linkId the ID of the link on which MPDUs contained in the returned queue must be
+     * @param ac the Access Category that we want to serve
+     * @param linkId the ID of the link on which MPDUs contained in the returned queue must be
      *               allowed to be sent
-     * \param prevQueueId the ID of the container queue served previously
-     * \return the ID of the selected container queue (if any)
+     * @param prevQueueId the ID of the container queue served previously
+     * @return the ID of the selected container queue (if any)
      */
     virtual std::optional<WifiContainerQueueId> GetNext(
         AcIndex ac,
@@ -122,10 +122,10 @@
      * Get the list of the IDs of the links the given MPDU (belonging to the given
      * Access Category) can be sent over.
      *
-     * \param ac the given Access Category
-     * \param mpdu the given MPDU
-     * \param ignoredReasons list of reasons for blocking a link that are ignored
-     * \return the list of the IDs of the links the given MPDU can be sent over
+     * @param ac the given Access Category
+     * @param mpdu the given MPDU
+     * @param ignoredReasons list of reasons for blocking a link that are ignored
+     * @return the list of the IDs of the links the given MPDU can be sent over
      */
     virtual std::list<uint8_t> GetLinkIds(
         AcIndex ac,
@@ -138,13 +138,13 @@
      * Transmitter Address (TA) and TID (if needed) for the given reason, such that
      * frames in these queues are not transmitted on the given set of links.
      *
-     * \param reason the reason for blocking the queues
-     * \param ac the given Access Category
-     * \param types the types of the queues to block
-     * \param rxAddress the Receiver Address (RA) of the frames
-     * \param txAddress the Transmitter Address (TA) of the frames
-     * \param tids the TIDs optionally identifying the queues to block
-     * \param linkIds set of links to block (empty to block all setup links)
+     * @param reason the reason for blocking the queues
+     * @param ac the given Access Category
+     * @param types the types of the queues to block
+     * @param rxAddress the Receiver Address (RA) of the frames
+     * @param txAddress the Transmitter Address (TA) of the frames
+     * @param tids the TIDs optionally identifying the queues to block
+     * @param linkIds set of links to block (empty to block all setup links)
      */
     virtual void BlockQueues(WifiQueueBlockedReason reason,
                              AcIndex ac,
@@ -159,13 +159,13 @@
      * Transmitter Address (TA) and TID (if needed) for the given reason, such that
      * frames in these queues can be transmitted on the given set of links.
      *
-     * \param reason the reason for unblocking the queues
-     * \param ac the given Access Category
-     * \param types the types of the queues to unblock
-     * \param rxAddress the Receiver Address (RA) of the frames
-     * \param txAddress the Transmitter Address (TA) of the frames
-     * \param tids the TIDs optionally identifying the queues to unblock
-     * \param linkIds set of links to unblock (empty to unblock all setup links)
+     * @param reason the reason for unblocking the queues
+     * @param ac the given Access Category
+     * @param types the types of the queues to unblock
+     * @param rxAddress the Receiver Address (RA) of the frames
+     * @param txAddress the Transmitter Address (TA) of the frames
+     * @param tids the TIDs optionally identifying the queues to unblock
+     * @param linkIds set of links to unblock (empty to unblock all setup links)
      */
     virtual void UnblockQueues(WifiQueueBlockedReason reason,
                                AcIndex ac,
@@ -183,10 +183,10 @@
      * is blocked and for which reason, provided that the given container queue exists and has
      * a mask for the given link.
      *
-     * \param ac the given Access Category
-     * \param queueId the ID of the given container queue
-     * \param linkId the ID of the given link
-     * \return the mask associated with the given container queue for the given link
+     * @param ac the given Access Category
+     * @param queueId the ID of the given container queue
+     * @param linkId the ID of the given link
+     * @return the mask associated with the given container queue for the given link
      */
     virtual std::optional<Mask> GetQueueLinkMask(AcIndex ac,
                                                  const WifiContainerQueueId& queueId,
@@ -195,9 +195,9 @@
     /**
      * Check whether an MPDU has to be dropped before enqueuing the given MPDU.
      *
-     * \param ac the Access Category of the MPDU being enqueued
-     * \param mpdu the MPDU to enqueue
-     * \return a pointer to the MPDU to drop, if any, or a null pointer, otherwise
+     * @param ac the Access Category of the MPDU being enqueued
+     * @param mpdu the MPDU to enqueue
+     * @return a pointer to the MPDU to drop, if any, or a null pointer, otherwise
      */
     virtual Ptr<WifiMpdu> HasToDropBeforeEnqueue(AcIndex ac, Ptr<WifiMpdu> mpdu) = 0;
     /**
@@ -205,8 +205,8 @@
      * Category. The container queue in which the MPDU has been enqueued must be
      * assigned a priority value.
      *
-     * \param ac the Access Category of the enqueued MPDU
-     * \param mpdu the enqueued MPDU
+     * @param ac the Access Category of the enqueued MPDU
+     * @param mpdu the enqueued MPDU
      */
     virtual void NotifyEnqueue(AcIndex ac, Ptr<WifiMpdu> mpdu) = 0;
     /**
@@ -214,8 +214,8 @@
      * given Access Category. The container queues which became empty after dequeuing
      * the MPDUs are removed from the sorted list of queues.
      *
-     * \param ac the Access Category of the dequeued MPDUs
-     * \param mpdus the list of dequeued MPDUs
+     * @param ac the Access Category of the dequeued MPDUs
+     * @param mpdus the list of dequeued MPDUs
      */
     virtual void NotifyDequeue(AcIndex ac, const std::list<Ptr<WifiMpdu>>& mpdus) = 0;
     /**
@@ -223,8 +223,8 @@
      * given Access Category. The container queues which became empty after removing
      * the MPDUs are removed from the sorted list of queues.
      *
-     * \param ac the Access Category of the removed MPDUs
-     * \param mpdus the list of removed MPDUs
+     * @param ac the Access Category of the removed MPDUs
+     * @param mpdus the list of removed MPDUs
      */
     virtual void NotifyRemove(AcIndex ac, const std::list<Ptr<WifiMpdu>>& mpdus) = 0;
 
@@ -234,7 +234,7 @@
     /**
      * Get the wifi MAC.
      *
-     * \return the wifi MAC
+     * @return the wifi MAC
      */
     Ptr<WifiMac> GetMac() const;
 
